Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040AuthoringDeviceImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040AuthoringDeviceImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040AuthoringDevice

    public class POCDMT000040AuthoringDeviceImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040AuthoringDevice

An implementation of the model object 'POCDMT000040 Authoring Device'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Code`
- `Manufacturer Model Name`
- `Software Name`
- `As Maintained Entity`
- `Class Code`
- `Determiner Code`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCode(CE newCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetManufacturerModelName(SC newManufacturerModelName, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSoftwareName(SC newSoftwareName, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAsMaintainedEntity()`
`EntityClassDevice` | `getClassCode()`
`CE` | `getCode()`
`org.eclipse.emf.common.util.Enumerator` | `getDeterminerCode()`
`SC` | `getManufacturerModelName()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`SC` | `getSoftwareName()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`boolean` | `isSetClassCode()`
`boolean` | `isSetDeterminerCode()`
`void` | `setClassCode(EntityClassDevice newClassCode)`
`void` | `setCode(CE newCode)`
`void` | `setDeterminerCode(org.eclipse.emf.common.util.Enumerator newDeterminerCode)`
`void` | `setManufacturerModelName(SC newManufacturerModelName)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setSoftwareName(SC newSoftwareName)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetClassCode()`
`void` | `unsetDeterminerCode()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040AuthoringDevice_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040AuthoringDevice_TemplateId()`

### getCode

    public CE getCode()

  Specified by:
    `getCode` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.setCode(CE)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_Code()`

### basicSetCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetCode(CE newCode,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setCode

    public void setCode(CE newCode)

  Specified by:
    `setCode` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newCode` - the new value of the 'Code' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.getCode()`

### getManufacturerModelName

    public SC getManufacturerModelName()

  Specified by:
    `getManufacturerModelName` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Manufacturer Model Name' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.setManufacturerModelName(SC)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_ManufacturerModelName()`

### basicSetManufacturerModelName

    public org.eclipse.emf.common.notify.NotificationChain basicSetManufacturerModelName(SC newManufacturerModelName,
                                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setManufacturerModelName

    public void setManufacturerModelName(SC newManufacturerModelName)

  Specified by:
    `setManufacturerModelName` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newManufacturerModelName` - the new value of the 'Manufacturer Model Name' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.getManufacturerModelName()`

### getSoftwareName

    public SC getSoftwareName()

  Specified by:
    `getSoftwareName` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Software Name' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.setSoftwareName(SC)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_SoftwareName()`

### basicSetSoftwareName

    public org.eclipse.emf.common.notify.NotificationChain basicSetSoftwareName(SC newSoftwareName,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setSoftwareName

    public void setSoftwareName(SC newSoftwareName)

  Specified by:
    `setSoftwareName` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newSoftwareName` - the new value of the 'Software Name' containment reference.
  See Also:
    `POCDMT000040AuthoringDevice.getSoftwareName()`

### getAsMaintainedEntity

    public org.eclipse.emf.common.util.EList getAsMaintainedEntity()

  Specified by:
    `getAsMaintainedEntity` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'As Maintained Entity' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040AuthoringDevice_AsMaintainedEntity()`

### getClassCode

    public EntityClassDevice getClassCode()

  Specified by:
    `getClassCode` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `EntityClassDevice`, `POCDMT000040AuthoringDevice.isSetClassCode()`, `POCDMT000040AuthoringDevice.unsetClassCode()`, `POCDMT000040AuthoringDevice.setClassCode(EntityClassDevice)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_ClassCode()`

### setClassCode

    public void setClassCode(EntityClassDevice newClassCode)

  Specified by:
    `setClassCode` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' attribute.
  See Also:
    `EntityClassDevice`, `POCDMT000040AuthoringDevice.isSetClassCode()`, `POCDMT000040AuthoringDevice.unsetClassCode()`, `POCDMT000040AuthoringDevice.getClassCode()`

### unsetClassCode

    public void unsetClassCode()

  Specified by:
    `unsetClassCode` in interface `POCDMT000040AuthoringDevice`
  See Also:
    `POCDMT000040AuthoringDevice.isSetClassCode()`, `POCDMT000040AuthoringDevice.getClassCode()`, `POCDMT000040AuthoringDevice.setClassCode(EntityClassDevice)`

### isSetClassCode

    public boolean isSetClassCode()

  Specified by:
    `isSetClassCode` in interface `POCDMT000040AuthoringDevice`
  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `POCDMT000040AuthoringDevice.unsetClassCode()`, `POCDMT000040AuthoringDevice.getClassCode()`, `POCDMT000040AuthoringDevice.setClassCode(EntityClassDevice)`

### getDeterminerCode

    public org.eclipse.emf.common.util.Enumerator getDeterminerCode()

  Specified by:
    `getDeterminerCode` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Determiner Code' attribute.
  See Also:
    `POCDMT000040AuthoringDevice.isSetDeterminerCode()`, `POCDMT000040AuthoringDevice.unsetDeterminerCode()`, `POCDMT000040AuthoringDevice.setDeterminerCode(Enumerator)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_DeterminerCode()`

### setDeterminerCode

    public void setDeterminerCode(org.eclipse.emf.common.util.Enumerator newDeterminerCode)

  Specified by:
    `setDeterminerCode` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newDeterminerCode` - the new value of the 'Determiner Code' attribute.
  See Also:
    `POCDMT000040AuthoringDevice.isSetDeterminerCode()`, `POCDMT000040AuthoringDevice.unsetDeterminerCode()`, `POCDMT000040AuthoringDevice.getDeterminerCode()`

### unsetDeterminerCode

    public void unsetDeterminerCode()

  Specified by:
    `unsetDeterminerCode` in interface `POCDMT000040AuthoringDevice`
  See Also:
    `POCDMT000040AuthoringDevice.isSetDeterminerCode()`, `POCDMT000040AuthoringDevice.getDeterminerCode()`, `POCDMT000040AuthoringDevice.setDeterminerCode(Enumerator)`

### isSetDeterminerCode

    public boolean isSetDeterminerCode()

  Specified by:
    `isSetDeterminerCode` in interface `POCDMT000040AuthoringDevice`
  Returns:
    whether the value of the 'Determiner Code' attribute is set.
  See Also:
    `POCDMT000040AuthoringDevice.unsetDeterminerCode()`, `POCDMT000040AuthoringDevice.getDeterminerCode()`, `POCDMT000040AuthoringDevice.setDeterminerCode(Enumerator)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040AuthoringDevice`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040AuthoringDevice.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040AuthoringDevice_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040AuthoringDevice`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040AuthoringDevice.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD